# Монтирование сетевых папок с помощью NFS

```bash
sudo apt install autofs
```

## Настройка

Для настройки autofs в файле `/etc/auto.master` необходимо добавить строку

```bash
/nfs /etc/auto.nfs --timeout=60
```

Здесь --timeout=60 указывает отмонтировать раздел при отсутствии активности на нём более чем 60 секунд.

Создаем в корне файловой системы папку `/nfs` :

```bash
sudo touch /etc/auto.nfs && sudo mkdir /nfs
````

В файле `/etc/auto.nfs` добавляем строку

```bash
video -rw,soft,intr,rsize=8192,wsize=8192 nas.dav.lan:/mnt/media/video
data -rw,soft,intr,rsize=8192,wsize=8192 nas.dav.lan:/mnt/main/data

```

Перезапускаем службу autofs :

```bash
sudo service autofs restart
```

```bash
mkdir ~/nas_nfs
ln -s /nfs/data ~/nas_nfs/data
ln -s /nfs/video ~/nas_nfs/video

mkdir ~/nas_syssoft
ln -s /nfs/data/Syssoft ~/nas_syssoft/Syssoft

```
